Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2007-07-03 09:52:14 +0400
committerJunio C Hamano <gitster@pobox.com>2007-07-03 09:52:14 +0400
commit5be60078c935ed08ee8eb5a32680bdfb6bb5bdf3 (patch)
tree9f68d81a31f8dfe7af6096e7beac2dc0997c143a /t/t5301-sliding-window.sh
parent36e5e70e0f40cf7ca4351b8159d68f8560a2805f (diff)
Rewrite "git-frotz" to "git frotz"
This uses the remove-dashes target to replace "git-frotz" to "git frotz". Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t5301-sliding-window.sh')
-rwxr-xr-xt/t5301-sliding-window.sh40
1 files changed, 20 insertions, 20 deletions
diff --git a/t/t5301-sliding-window.sh b/t/t5301-sliding-window.sh
index fce77f1255..073ac0c6f9 100755
--- a/t/t5301-sliding-window.sh
+++ b/t/t5301-sliding-window.sh
@@ -13,48 +13,48 @@ test_expect_success \
do
echo $i >$i &&
test-genrandom "$i" 32768 >>$i &&
- git-update-index --add $i || return 1
+ git update-index --add $i || return 1
done &&
- echo d >d && cat c >>d && git-update-index --add d &&
- tree=`git-write-tree` &&
- commit1=`git-commit-tree $tree </dev/null` &&
- git-update-ref HEAD $commit1 &&
+ echo d >d && cat c >>d && git update-index --add d &&
+ tree=`git write-tree` &&
+ commit1=`git commit-tree $tree </dev/null` &&
+ git update-ref HEAD $commit1 &&
git-repack -a -d &&
- test "`git-count-objects`" = "0 objects, 0 kilobytes" &&
+ test "`git count-objects`" = "0 objects, 0 kilobytes" &&
pack1=`ls .git/objects/pack/*.pack` &&
test -f "$pack1"'
test_expect_success \
'verify-pack -v, defaults' \
- 'git-verify-pack -v "$pack1"'
+ 'git verify-pack -v "$pack1"'
test_expect_success \
'verify-pack -v, packedGitWindowSize == 1 page' \
- 'git-config core.packedGitWindowSize 512 &&
- git-verify-pack -v "$pack1"'
+ 'git config core.packedGitWindowSize 512 &&
+ git verify-pack -v "$pack1"'
test_expect_success \
'verify-pack -v, packedGit{WindowSize,Limit} == 1 page' \
- 'git-config core.packedGitWindowSize 512 &&
- git-config core.packedGitLimit 512 &&
- git-verify-pack -v "$pack1"'
+ 'git config core.packedGitWindowSize 512 &&
+ git config core.packedGitLimit 512 &&
+ git verify-pack -v "$pack1"'
test_expect_success \
'repack -a -d, packedGit{WindowSize,Limit} == 1 page' \
- 'git-config core.packedGitWindowSize 512 &&
- git-config core.packedGitLimit 512 &&
- commit2=`git-commit-tree $tree -p $commit1 </dev/null` &&
- git-update-ref HEAD $commit2 &&
+ 'git config core.packedGitWindowSize 512 &&
+ git config core.packedGitLimit 512 &&
+ commit2=`git commit-tree $tree -p $commit1 </dev/null` &&
+ git update-ref HEAD $commit2 &&
git-repack -a -d &&
- test "`git-count-objects`" = "0 objects, 0 kilobytes" &&
+ test "`git count-objects`" = "0 objects, 0 kilobytes" &&
pack2=`ls .git/objects/pack/*.pack` &&
test -f "$pack2"
test "$pack1" \!= "$pack2"'
test_expect_success \
'verify-pack -v, defaults' \
- 'git-config --unset core.packedGitWindowSize &&
- git-config --unset core.packedGitLimit &&
- git-verify-pack -v "$pack2"'
+ 'git config --unset core.packedGitWindowSize &&
+ git config --unset core.packedGitLimit &&
+ git verify-pack -v "$pack2"'
test_done